<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CombineItemsRequest StructType
 * @subpackage Structs
 */
class CombineItemsRequest extends AbstractStructBase
{
    /**
     * The auth
     * @var \StructType\Authentication
     */
    public $auth;
    /**
     * The orderItemList
     * @var \StructType\OrderItemDataListRequest
     */
    public $orderItemList;
    /**
     * Constructor method for CombineItemsRequest
     * @uses CombineItemsRequest::setAuth()
     * @uses CombineItemsRequest::setOrderItemList()
     * @param \StructType\Authentication $auth
     * @param \StructType\OrderItemDataListRequest $orderItemList
     */
    public function __construct(\StructType\Authentication $auth = null, \StructType\OrderItemDataListRequest $orderItemList = null)
    {
        $this
            ->setAuth($auth)
            ->setOrderItemList($orderItemList);
    }
    /**
     * Get auth value
     * @return \StructType\Authentication|null
     */
    public function getAuth()
    {
        return $this->auth;
    }
    /**
     * Set auth value
     * @param \StructType\Authentication $auth
     * @return \StructType\CombineItemsRequest
     */
    public function setAuth(\StructType\Authentication $auth = null)
    {
        $this->auth = $auth;
        return $this;
    }
    /**
     * Get orderItemList value
     * @return \StructType\OrderItemDataListRequest|null
     */
    public function getOrderItemList()
    {
        return $this->orderItemList;
    }
    /**
     * Set orderItemList value
     * @param \StructType\OrderItemDataListRequest $orderItemList
     * @return \StructType\CombineItemsRequest
     */
    public function setOrderItemList(\StructType\OrderItemDataListRequest $orderItemList = null)
    {
        $this->orderItemList = $orderItemList;
        return $this;
    }
}
